%global srcname sphinx-bootstrap-theme

Name:           python-%{srcname}
Version:        0.8.1
Release:        1
Summary:        Sphinx Bootstrap Theme
License:        MIT and ASL 2.0
URL:            http://ryan-roemer.github.com/%{srcname}
Source0:        https://github.com/ryan-roemer/sphinx-bootstrap-theme/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  web-assets-devel

%description
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework with various layout options,
hierarchical menu navigation, and mobile-friendly responsive design.It is configurable, extensible,
and can use any number of different Bootswatch CSS themes.

%package -n python3-%{srcname}
Summary:        Sphinx Bootstrap Theme
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-sphinx-bootstrap-theme}

%description -n python3-%{srcname}
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework with various layout options,
hierarchicalmenunavigation,and mobile-friendly responsive design.It is configurable, extensible, 
and can use any number of different Bootswatch CSS themes.

%package help
Summary:        Help documentation for sphinx-bootstrap-theme

%description help
Help documentation for sphinx-bootstrap-theme.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitelib}/sphinx_bootstrap_theme
%{python3_sitelib}/sphinx_bootstrap_theme-%{version}-py%{python3_version}.egg-info

%files help
%doc *.rst

%changelog
* Thu Oct 27 2022 xu_ping <xuping33@h-partners.com> - 0.8.1-1
- Upgrade python-sphinx-bootstrap-theme to 0.8.1

* Sat Jan 08 2022 yangping <yangping69@huawei.com> - 0.4.13-13
- fix use 2to3 is invalid

* Fri Sep 11 2020 wangxiao <wangxiao65@huawei.com> - 0.4.13-12
- Remove python2 support, fix BuildRequires

* Sat Mar 14 2020 likexin <likexin4@huawei.com> - 0.4.13-11
- Remove some requires
 
* Wed Mar 11 2020 shijian <shijian16@huawei.com> - 0.4.13-10
- Package init
